package com.yeejoin.amos.boot.module.tzs.api.service;


import com.yeejoin.amos.boot.module.tzs.api.dto.DispatchTaskDto;
import com.yeejoin.amos.feign.privilege.model.AgencyUserModel;

/**
 * 派遣任务接口类
 *
 * @author kongfm
 * @date 2021-08-03
 */
public interface IDispatchTaskService {


    Boolean createDispatchTask(DispatchTaskDto dispatchTaskDto, AgencyUserModel sendUser);

    DispatchTaskDto getTaskInfo(String orgTypeCode, Long alertId);

    String returnDistanceByTaskId(Long taskId, String longitude, String latitude);
}
